/*
  Cafetito despues de comer : posiblemente un carajillo. :)
*/

// **** radiosity ****
global_settings{
 radiosity{
  brightness 25
  count 200
  distance_maximum 1000
 }
}

// *** necesarios ***
#include "colors.inc"
#include "textures.inc"
#include "woods.inc"
#include "Glass.inc"
#include "metals.inc"

// *** control ***
#declare pruebas=0
#declare trazar_area=0
#declare trazar_mesa=1
#declare trazar_habitacion=1
#declare trazar_platito=1
#declare trazar_taza=1
#declare trazar_azucar=1
#declare trazar_bandeja=1
#declare trazar_cafetera=1
#declare trazar_botella=1
#declare trazar_cucharas=1
#declare trazar_dulces=1
#declare trazar_fondo=1
#declare trazar_humos=0
#declare camara_final=1

// *** globales ***
#declare r1=seed(8)
#declare pos_platito=<0,60,0>
#declare pos_taza=<0,60.3,0>
#declare pos_cafetera=pos_platito+<-14,0,17>
#declare pos_botella=pos_platito+<-3,0,21>
#declare pos_bandeja=pos_platito+<0,0,1>
// *** texturas ***
#include "cafe_tex.inc"

// *** mesa ***
#if (trazar_mesa=1)
cylinder{
 <0,-2.5,0>
 <0,0,0>
 35
 texture{t_mesa}
 translate <0,60,14>
}
#end

// *** habitacion ***
#if (trazar_habitacion=1)
#include "cafe_hab.inc"
object{habitacion}
#end

// *** fondo borroso ***
#if (trazar_fondo=1)
#include "cafe_fon.inc"
object{fondo}
#end

// *** platito ***
#if (trazar_platito=1)
#include "cafe_pla.inc"
object{platito
 translate pos_platito-<7,-0.2,1>
}
object{platito
 translate pos_platito+<7,0.2,-4>
}
#end

// *** taza ***
#if ((trazar_taza=1) | (trazar_azucar=1))
#include "cafe_asa.inc"
#end
#if (trazar_taza=1)
#include "cafe_taz.inc"
object{taza
 rotate 180*y
 translate pos_taza-<7,-0.2,1>
}
object{taza
 rotate 30*y
 translate pos_taza+<7,0.2,-4>
}
#end

// *** azucarero ***
#if (trazar_azucar=1)
#include "cafe_azu.inc"
object{azucarero
 translate pos_platito+<1,0.2,8>
}
#end

// *** bandeja ***
#if (trazar_bandeja=1)
#include "cafe_ban.inc"
object{bandeja
 translate pos_bandeja
}
#end

// *** botella ***
#if (trazar_botella=1)
#include "cafe_bot.inc"
object{botella_guisqui
 translate pos_botella
}
#end

// *** cafetera ***
#if (trazar_cafetera=1)
#include "cafe_caf.inc"
object{cafetera
 rotate 35*y
 translate pos_cafetera
}
#end

#if (trazar_cucharas=1)
#include "cafe_cuc.inc"
object{cuchara
 rotate -15
 rotate -45*y
 translate pos_platito+<-6.2,1.6,-5.2>
}
object{cuchara
 rotate 40*z
 rotate -45*y
 translate pos_platito+<6.7,1.2,-4>
}
#end

#if (trazar_dulces=1)
#include "cafe_dul.inc"
#if (trazar_platito=0)
#include "cafe_plat.inc"
#end
union{
 object{platito
  scale <1.6,1,1.6>
 }
 object{dulce1
  translate 0.7*y
 }
 object{dulce1
  rotate -13*x
  translate 1.2*y+8*z
 }
 object{dulce1
  rotate -13*x
  translate 1.2*y+8*z
  rotate 90*y
 }
 object{dulce1
  rotate -13*x
  translate 1.2*y+8*z
  rotate 180*y
 }
 object{dulce1
  rotate -13*x
  translate 1.2*y+8*z
  rotate -90*y
 }
 object{dulce2
  translate 1.8*y+4*x
 }
 object{dulce2
  translate 1.8*y-4*x
 }
 object{dulce2
  translate 1.8*y+4*z
 }
 object{dulce2
  translate 1.8*y-4*z
 }
 object{dulce3
  rotate 90*y
  scale <0.6,1,1>
  rotate -6*x
  translate 1.1*y+6.5*z
  rotate 45*y
 }
 object{dulce3
  rotate 90*y
  scale <0.6,1,1>
  rotate -6*x
  translate 1.1*y+6.5*z
   rotate -45*y
 }
 object{dulce3
  rotate 90*y
  scale <0.6,1,1>
  rotate -6*x
  translate 1.1*y+6.5*z
  rotate (90+45)*y
 }
 object{dulce3
  rotate 90*y
  scale <0.6,1,1>
  rotate -6*x
  translate 1.1*y+6.5*z
   rotate -(90+45)*y
 }
 translate pos_platito+<16,0,21>
}
#end

// *** luces, camara, accion ... ***
#if (camara_final=1)
 // CAMARA FINAL
 #declare desde=<10,83,-50> // CAMARA FINAL
 #declare hacia=<3,71,1>
 #declare zoom=1.6*z
#else
 #declare desde=<20,72,-75> // CAMARA PRUEBAS
 #declare hacia=<0,66,1>
 #declare zoom=3.5*z
#end

camera{
 location desde
 direction zoom
 look_at hacia
}
// de la camara
light_source{
 desde
 color White/4+Gold/7
 shadowless
}

// del techo
light_source{
 <-100,119,-20>
 color White/1.5+Gold/2
 #if (trazar_area=1)
     area_light <100, 0, 0>, <0, 100,0>, 2, 2
     adaptive 1
 #end
  fade_distance 400
  fade_power 2
}
// atras
light_source{
 <245,215,195>
 color Gold*.9
 #if (trazar_area=1)
     area_light <100, 0, 0>, <0,100,0>, 2, 2
     adaptive 1
 #end
  fade_distance 500
  fade_power 2
}

