
// **************************
// *** Botella de guisqui ***
// **************************

#declare base_botella =
lathe{
cubic_spline
11
<0,0>
<0,0.1>
<3.75,0>
<4.4,1.5>
<4.5,7.5>
<4.4,13>
<3.7,15>
<1.5,17.5>
<1.3,19.7>
<1.3,21.5>
<1.3,22.5>
}

#declare botella =
difference{
 object{base_botella}
 object{base_botella
  scale 0.95
 }
 cylinder{<0,15,0>,<0,23,0>,1.235}
 hollow
 bounded_by{
  object{base_botella}
 }
}

#declare liquido=
intersection{
  object{botella
   scale 0.949
  }
  plane {y,11.5}
}

#declare tapon =
superellipsoid{
 <1,.1>
 rotate 90*x
 scale <1.45,1.3,1.45>
}

#declare seccion_etq =
intersection
{
 object{botella}
 plane{y,3 inverse}
 plane{y,12}
}

#declare etiqueta =
difference{
 object{seccion_etq}
 object{seccion_etq
  scale <0.9,1.1,0.9>
 }
 scale <1.01,1,1.01>
}

// *** botella de guisqui ***
#declare botella_guisqui=
union{
 object{botella
  #if (pruebas=0)
   texture{T_Cristal}
  #else
   texture{pigment{White filter 0.8}}
  #end
 }
 object{liquido
  #if (pruebas=0)
   texture{T_Bebida}
  #else
   texture{pigment{White}}
  #end
 }
 object{tapon
  translate 21*y
  texture{
   pigment{Gold}
   finish{F_MetalB}
  }
 }
 object{etiqueta
  texture{
   pigment{
    image_map{
      gif "etiqueta.gif"
      map_type 2
    }
    translate <0,-0.5,0>
    scale <9,9,9>
    translate -1.5*y
   }
   finish{Phong_Dull}
  }
 }
 scale <1,1.1,1>
 rotate -40*y
 translate <0,0.2,0>
}

